Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035704
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2017-04-05 16:032017-05-29 17:43
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q3
StatusclosedFix in branchFixed in SCM revision0f2b56e1c053
ProjectionnoneETAnoneTarget Version3.0PR17Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035704: add support to log abandoned pool connections

DescriptionTomcat JCDB pool supports to log abandoned connections, this is, connections that were borrowed from pool but not returned for a configurable period of time.

This is configured with logAbandoned and suspectTimeout properties [1] which are not currently supported in Openbravo.

---
[1] https://tomcat.apache.org/tomcat-7.0-doc/jdbc-pool.html [^]
Steps To Reproduce-
Proposed Solution* Add support for these properties
* Update to a recent pool version as current one (7.0.62) has some bugs that prevent this feature to work properly
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0036261 closedalostale connections logged as abandoned in translate task 

-  Notes
(0095848)
alostale (developer)
2017-04-05 16:15

Documented in http://wiki.openbravo.com/wiki/Modules:Apache_JDBC_Connection_Pool#Pool_Configuration [^]
(0095856)
hgbot (developer)
2017-04-06 07:55

Repository: erp/devel/pi
Changeset: 0f2b56e1c053b9761764086c74d889e5539a7b94
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Apr 04 07:44:44 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0f2b56e1c053b9761764086c74d889e5539a7b94 [^]

fixed issue 35704: add support to log abandoned pool connections

  Now it is possible to configure jdbc pool to log abandoned connections.

    * Added support for db.pool.logAbandoned and db.pool.suspectTimeout properties
      to configure this feature.
    * Updated pool to version 7.0.77 which fixes some bugs related with this topic
      that previous version had.

---
M modules/org.openbravo.apachejdbcconnectionpool/lib/runtime/tomcat-jdbc.jar
M modules/org.openbravo.apachejdbcconnectionpool/src/org/openbravo/apachejdbcconnectionpool/JdbcExternalConnectionPool.java
---
(0095888)
caristu (developer)
2017-04-07 09:26

Verified
(0096865)
hudsonbot (developer)
2017-05-29 17:43

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1ee70113bdc4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-04-05 16:03 alostale New Issue
2017-04-05 16:03 alostale Assigned To => alostale
2017-04-05 16:03 alostale Modules => Core
2017-04-05 16:03 alostale Triggers an Emergency Pack => No
2017-04-05 16:03 alostale Status new => scheduled
2017-04-05 16:15 alostale Note Added: 0095848
2017-04-06 07:54 alostale Review Assigned To => caristu
2017-04-06 07:55 hgbot Checkin
2017-04-06 07:55 hgbot Note Added: 0095856
2017-04-06 07:55 hgbot Status scheduled => resolved
2017-04-06 07:55 hgbot Resolution open => fixed
2017-04-06 07:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0f2b56e1c053b9761764086c74d889e5539a7b94 [^]
2017-04-07 09:26 caristu Note Added: 0095888
2017-04-07 09:26 caristu Status resolved => closed
2017-04-07 09:26 caristu Fixed in Version => 3.0PR17Q3
2017-05-29 17:43 hudsonbot Checkin
2017-05-29 17:43 hudsonbot Note Added: 0096865
2017-06-16 10:58 alostale Relationship added blocks 0036261


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker